// (C) 2017-2020 by folkert van heusden, released under AGPL v3.0
#include <atomic>
#include <string>
#include <thread>

#include "source.h"
#include "pixelflood.h"

class source_pixelflood : public source
{
private:
	const int listen_port;
	const int pixel_size;
	const pixelflood_protocol_t pp;

	uint8_t *frame_buffer;
	pthread_t th;

public:
	source_pixelflood(const std::string & id, const std::string & descr, const std::string & exec_failure, const int listen_port, const int pixel_size, const pixelflood_protocol_t pp, const double max_fps, const int w, const int h, const int loglevel, std::vector<filter *> *const filters);
	~source_pixelflood();

	void operator()() override;
};
